# Class AbstractClientBase

#### Hierarchy

- AbstractClientBase

- Defined in node_modules/grpc-web/index.d.ts:5

#####
Index

### Constructors

constructor

### Methods

rpcCall
serverStreaming
thenableCall

## Constructors

### constructor

- new AbstractClientBase(): AbstractClientBase

- #### Returns AbstractClientBase

## Methods

### rpcCall

- rpcCall<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor<REQ, RESP>, callback: ((err: RpcError, response: RESP) => void)): ClientReadableStream<RESP>

- #### Type Parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor<REQ, RESP>

  - ##### callback: ((err: RpcError, response: RESP) => void)

    - - (err: RpcError, response: RESP): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RESP

        #### Returns void

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:13

### serverStreaming

- serverStreaming<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor<REQ, RESP>): ClientReadableStream<RESP>

- #### Type Parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor<REQ, RESP>

  #### Returns ClientReadableStream<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:21

### thenableCall

- thenableCall<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor<REQ, RESP>): Promise<RESP>

- #### Type Parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor<REQ, RESP>

  #### Returns Promise<RESP>

  - Defined in node_modules/grpc-web/index.d.ts:6

Generated using TypeDoc